
Name: dvdauthor
Version: 0.6.14
Release: alt1

%ifdef alpha
%define pname %name-%version-alpha-%alpha
%else
%define pname %name-%version
%endif

Summary: set of tools to author a DVD
License: GPL
Group: Video
Url: http://sourceforge.net/projects/dvdauthor/

Source0: %pname.tar.gz

Provides: /etc/%name.conf

# Automatically added by buildreq on Fri Mar 21 2008
BuildRequires: libImageMagick-devel libdvdread-devel libfreetype-devel libpng-devel libxml2-devel

%description
dvdauthor is a program that will generate a DVD movie from a valid
mpeg2 stream that should play when you put it in a DVD player.

%prep
%setup -q -n %pname

%build
./configure --prefix=$RPM_BUILD_ROOT%_datadir \
	    --exec-prefix=$RPM_BUILD_ROOT/usr \
	    --sysconfdir=%_sysconfdir \
	    --datadir=$RPM_BUILD_ROOT%_datadir

%make

%install
%make install
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir
touch $RPM_BUILD_ROOT%_sysconfdir/%name.conf

mv $RPM_BUILD_ROOT%_datadir/share/man $RPM_BUILD_ROOT%_datadir
rm -fr $RPM_BUILD_ROOT%_datadir/share

%files
%_bindir/*
%_mandir/man?/*
%doc COPYING README TODO ChangeLog
%config(noreplace) %_sysconfdir/%name.conf
%_datadir/%name

%changelog
* Tue Jan 22 2008 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.6.14-alt1
- 0.6.14
- Update BuildRequires

* Tue May 23 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.6.12-alt2.2.1
- Rebuild with libMagick++.so.10.0.2 .

* Thu Sep 15 2005 Anton Farygin <rider@altlinux.ru> 0.6.12-alt2.2
- rebuild with libMagick.so.9

* Mon Sep 12 2005 Anton Farygin <rider@altlinux.ru> 0.6.12-alt2.1
- NMU: rebuild with new libImageMagick

* Wed Mar 09 2005 Alex Yustasov <yust@altlinux.ru> 0.6.12-alt2
- 0.6.12-alpha-2992

* Sun Feb 27 2005 Alex Yustasov <yust@altlinux.ru> 0.6.12-alt1
- 0.6.12-alpha-2979

* Thu Feb 17 2005 Alex Yustasov <yust@altlinux.ru> 0.6.11-alt1
- uptated to 0.6.11

* Sat Jan 15 2005 Alex Yustasov <yust@altlinux.ru> 0.6.10-alt2
- fixed build with gcc3.4

* Mon Dec 13 2004 Alex Yustasov <yust@altlinux.ru> 0.6.10-alt1
- initial release

